> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# QuickLink



## OpenAPI

````yaml /openapi/tourbuilder-api.openapi.json get /tourbuilder/v1/builder/quickLink
openapi: 3.0.0
info:
  description: '"Tour Builder"'
  version: 1.0.0
  title: TOUR BUILDER API
  contact:
    name: Adventium Tech Support
    url: https://www.adventium.tech
    email: tech-support@adventium.tech
servers:
  - url: //tourbuilder.adventium.tech:8082
security: []
tags:
  - name: booking-controller
    description: Booking Controller
  - name: builder-controller
    description: Builder Controller
  - name: index-controller
    description: Index Controller
  - name: tapapi-controller
    description: TAPAPI Controller
  - name: tdmsebs-controller
    description: TDMSEBS Controller
paths:
  /tourbuilder/v1/builder/quickLink:
    get:
      tags:
        - builder-controller
      summary: QuickLink
      operationId: quickLinkUsingGET
      parameters:
        - name: ataFaretypeId
          in: query
          description: ataFaretypeId
          required: true
          schema:
            type: string
        - name: ataPPDId
          in: query
          description: ataPPDId
          required: true
          schema:
            type: string
        - name: ataProductId
          in: query
          description: ataProductId
          required: true
          schema:
            type: string
        - name: dateRange
          in: query
          description: dateRange
          required: false
          schema:
            type: integer
            format: int32
        - name: otsFaretypeId1
          in: query
          description: otsFaretypeId1
          required: true
          schema:
            type: string
        - name: otsFaretypeId2
          in: query
          description: otsFaretypeId2
          required: false
          schema:
            type: string
        - name: otsPPDId1
          in: query
          description: otsPPDId1
          required: true
          schema:
            type: string
        - name: otsPPDId2
          in: query
          description: otsPPDId2
          required: false
          schema:
            type: string
        - name: otsProductId1
          in: query
          description: otsProductId1
          required: true
          schema:
            type: string
        - name: otsProductId2
          in: query
          description: otsProductId2
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseData_Package_'
        '400':
          description: Failed
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    ResponseData_Package_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Package'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
        status:
          type: integer
          format: int32
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/ResponseExtraInformation'
      title: ResponseData«Package»
    Package:
      type: object
      properties:
        allowAdditionalFees:
          type: boolean
        components:
          type: array
          items:
            $ref: '#/components/schemas/PackageComponentHolder'
        content:
          $ref: '#/components/schemas/PackageContent'
        costMarkup:
          type: number
        dateRange:
          type: integer
          format: int32
        departurePricing:
          type: array
          items:
            $ref: '#/components/schemas/PricingSeason'
        departureSchedule:
          $ref: '#/components/schemas/Schedule'
        duration:
          $ref: '#/components/schemas/Period'
        leadinNett:
          $ref: '#/components/schemas/CurrencyAmount'
        leadinPrice:
          $ref: '#/components/schemas/CurrencyAmount'
        openDated:
          type: boolean
        packageTitle:
          type: string
        priceMarkup:
          type: number
        questions:
          type: array
          items:
            $ref: '#/components/schemas/PackageQuestion'
        uniquePackageId:
          $ref: '#/components/schemas/UniquePackageId'
      title: Package
    ResponseExtraInformation:
      type: object
      properties:
        code:
          type: string
        text:
          type: string
      title: ResponseExtraInformation
    PackageComponentHolder:
      type: object
      discriminator:
        propertyName: '@type'
      title: PackageComponentHolder
    PackageContent:
      type: object
      properties:
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/PackageContentAttribute'
        checklist:
          $ref: '#/components/schemas/Markdown'
        extraInformation:
          type: array
          items:
            $ref: '#/components/schemas/PackageContentExtraInformation'
        finishingPoint:
          $ref: '#/components/schemas/Markdown'
        images:
          type: array
          items:
            $ref: '#/components/schemas/PackageContentImage'
        inclusions:
          type: array
          items:
            $ref: '#/components/schemas/PackageContentInclusion'
        introduction:
          $ref: '#/components/schemas/Markdown'
        itinerary:
          type: array
          items:
            $ref: '#/components/schemas/PackageContentItineraryDay'
        joiningPoint:
          $ref: '#/components/schemas/Markdown'
        joiningPointInstructions:
          $ref: '#/components/schemas/Markdown'
        leadInTitle:
          type: string
        luggageLimit:
          $ref: '#/components/schemas/Markdown'
        map:
          $ref: '#/components/schemas/PackageContentImage'
        numberOfDays:
          type: integer
          format: int32
        sales1:
          $ref: '#/components/schemas/Markdown'
        sales2:
          $ref: '#/components/schemas/Markdown'
        title:
          type: string
      title: PackageContent
    PricingSeason:
      type: object
      properties:
        adultCount:
          type: integer
          format: int32
        daysOfWeek:
          type: array
          items:
            type: string
            enum:
              - MONDAY
              - TUESDAY
              - WEDNESDAY
              - THURSDAY
              - FRIDAY
              - SATURDAY
              - SUNDAY
        fromDate:
          type: string
          format: date
        price:
          $ref: '#/components/schemas/CurrencyAmount'
        toDate:
          type: string
          format: date
      title: PricingSeason
    Schedule:
      type: object
      discriminator:
        propertyName: '@type'
      title: Schedule
    Period:
      type: object
      properties:
        chronology:
          $ref: '#/components/schemas/IsoChronology'
        days:
          type: integer
          format: int32
        months:
          type: integer
          format: int32
        negative:
          type: boolean
        units:
          type: array
          items:
            $ref: '#/components/schemas/TemporalUnit'
        years:
          type: integer
          format: int32
        zero:
          type: boolean
      title: Period
    CurrencyAmount:
      type: object
      properties:
        amount:
          type: number
        currencyId:
          type: string
      title: CurrencyAmount
    PackageQuestion:
      type: object
      properties:
        componentQuestion:
          $ref: '#/components/schemas/ComponentQuestion'
        questionReferences:
          type: array
          items:
            $ref: '#/components/schemas/QuestionReference'
      title: PackageQuestion
    UniquePackageId:
      type: object
      properties:
        packageId:
          type: string
        supplierId:
          type: string
      title: UniquePackageId
    PackageContentAttribute:
      type: object
      properties:
        name:
          type: string
          enum:
            - START
            - FINISH
            - DESTINATION
            - STYLE
            - THEME
            - PHYSICAL_RATING
            - TRIP_RATING
            - MIN_AGE
            - MAX_AGE
            - MIN_GROUP_SIZE
            - MAX_GROUP_SIZE
        value:
          $ref: '#/components/schemas/Markdown'
      title: PackageContentAttribute
    Markdown:
      type: object
      properties:
        markdown:
          type: string
      title: Markdown
    PackageContentExtraInformation:
      type: object
      properties:
        text:
          $ref: '#/components/schemas/Markdown'
        title:
          type: string
      title: PackageContentExtraInformation
    PackageContentImage:
      type: object
      properties:
        title:
          type: string
        url:
          $ref: '#/components/schemas/URL'
      title: PackageContentImage
    PackageContentInclusion:
      type: object
      properties:
        text:
          $ref: '#/components/schemas/Markdown'
        title:
          type: string
          enum:
            - MEALS
            - TRANSPORT
            - ACCOMMODATION
            - ACTIVITIES
      title: PackageContentInclusion
    PackageContentItineraryDay:
      type: object
      properties:
        dayNumber:
          type: integer
          format: int32
        includesBreakfast:
          type: boolean
        includesDinner:
          type: boolean
        includesLunch:
          type: boolean
        text:
          $ref: '#/components/schemas/Markdown'
        title:
          type: string
      title: PackageContentItineraryDay
    IsoChronology:
      type: object
      properties:
        calendarType:
          type: string
        id:
          type: string
      title: IsoChronology
    TemporalUnit:
      type: object
      properties:
        dateBased:
          type: boolean
        duration:
          $ref: '#/components/schemas/Duration'
        durationEstimated:
          type: boolean
        timeBased:
          type: boolean
      title: TemporalUnit
    ComponentQuestion:
      type: object
      discriminator:
        propertyName: '@type'
      properties:
        mandatory:
          type: boolean
        perPerson:
          type: boolean
        questionID:
          type: string
        questionText:
          type: string
      title: ComponentQuestion
    QuestionReference:
      type: object
      properties:
        componentId:
          type: string
        questionID:
          type: string
      title: QuestionReference
    URL:
      type: object
      properties:
        authority:
          type: string
        content:
          type: object
        defaultPort:
          type: integer
          format: int32
        deserializedFields:
          $ref: '#/components/schemas/URLStreamHandler'
        file:
          type: string
        host:
          type: string
        path:
          type: string
        port:
          type: integer
          format: int32
        protocol:
          type: string
        query:
          type: string
        ref:
          type: string
        serializedHashCode:
          type: integer
          format: int32
        userInfo:
          type: string
      title: URL
    Duration:
      type: object
      properties:
        nano:
          type: integer
          format: int32
        negative:
          type: boolean
        seconds:
          type: integer
          format: int64
        units:
          type: array
          items:
            $ref: '#/components/schemas/TemporalUnit'
        zero:
          type: boolean
      title: Duration
    URLStreamHandler:
      type: object
      title: URLStreamHandler

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.